Bug 1121482 - gpg-agent not spawned with xmonad-mate
Summary: gpg-agent not spawned with xmonad-mate
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xmonad
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 05:28 UTC by Dan Aloni
Modified: 2015-06-29 21:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:40:13 UTC


Attachments (Terms of Use)

Description Dan Aloni 2014-07-21 05:28:25 UTC
In Fedora 20, when I switched to a xmonad-mate session I noticed that gpg-agent daemon is not running. This was noticed for every application that uses gpg decryption (e.g. `gpg -d` on a file).

I managed to fix the problem by adding the following lines in /usr/bin/xmonad-start:

if [ -x "/usr/bin/gpg-agent" ] ; then
    killall -w gpg-agent 2>/dev/null
    eval `gpg-agent --daemon`
fi

But perhaps you can devise a better fix.

Comment 1 Ben Boeckel 2014-07-21 14:23:21 UTC
I'd recommend using keychain rather than using killall. Is this really xmonad's job though (I'm not familiar with xmonad-$de though; that's more Jens' thing)?

Comment 2 Jens Petersen 2014-07-22 01:46:35 UTC
Ben suggestion sounds good - I haven't used keychain yet myself though.
Let me take this bug anyway since it seems a RFE related to xmonad-mate.

Dan: do you know what starts up gpg-agent in a vanilla Mate session?

Comment 3 Dan Aloni 2014-07-22 05:21:36 UTC
It seems that mate-keyring was obsoleted by gnome-keyring-daemon. To my understanding gnome-keyring-daemon has a builtin version of the gpg-agent daemon (among other things, such as an ssh-agent daemon), so in a normal mate session there's no actual gpg-agent daemon and everything works because the keyring-daemon is suppose to supply that functionality.

However I have a background "/usr/bin/gnome-keyring-daemon --daemonize --login" process spawned both in the normal mate session *and* in xmonad-mate session.

So I am still puzzled what broke things for xmonad-mate.

Also, seems that ssh-agent comes into play with xmonad-start (how so? I don't see it in the sources).

dan      29920 29912  0 08:14 ?        00:00:00 /bin/sh /usr/bin/xmonad-start mate-session
dan      29942 29920  0 08:14 ?        00:00:00 /usr/bin/ssh-agent /bin/sh -c exec -l /bin/zsh -c "xmonad-start mate-session"
dan      29971 29920  0 08:14 ?        00:00:00 xmonad
dan      29972 29920  0 08:14 ?        00:00:00 mate-session

Comment 4 Fedora End Of Life 2015-05-29 12:25:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:40:13 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.